org.apache.poi.hemf.record.emf

## Class HemfFont

- java.lang.Object
- - org.apache.poi.hwmf.record.HwmfFont
  - - org.apache.poi.hemf.record.emf.HemfFont

- All Implemented Interfaces:
    FontInfo, GenericRecord

      public class HemfFont
      extends HwmfFont

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static interface` | `HemfFont.LogFontDetails`
    `protected static class` | `HemfFont.LogFontExDv`
    `protected static class` | `HemfFont.LogFontPanose`

    - ### Nested classes/interfaces inherited from class org.apache.poi.hwmf.record.HwmfFont

      `HwmfFont.WmfClipPrecision, HwmfFont.WmfFontQuality, HwmfFont.WmfOutPrecision`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected HemfFont.LogFontDetails` | `details`
    `protected java.lang.String` | `fullname`
    `protected java.lang.String` | `script`
    `protected java.lang.String` | `style`

    - ### Fields inherited from class org.apache.poi.hwmf.record.HwmfFont

      `charSet, clipPrecision, escapement, facename, family, height, italic, orientation, outPrecision, pitch, pitchAndFamily, quality, strikeOut, underline, weight, width`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HemfFont()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `int` | `init(LittleEndianInputStream leis, long recordSize)`
    `protected int` | `readString(LittleEndianInputStream leis, java.lang.StringBuilder sb, int limit)`
    `void` | `setHeight(double height)`
    `void` | `setItalic(boolean italic)`
    `void` | `setStrikeOut(boolean strikeOut)`
    `void` | `setTypeface(java.lang.String typeface)` Sets the font name
    `void` | `setUnderline(boolean underline)`
    `void` | `setWeight(int weight)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.poi.hwmf.record.HwmfFont

      `getCharset, getClipPrecision, getEscapement, getFamily, getHeight, getOrientation, getOutPrecision, getPitch, getPitchAndFamily, getQuality, getTypeface, getWeight, getWidth, initDefaults, isItalic, isStrikeOut, isUnderline`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.fonts.FontInfo

      `getFacets, getIndex, getPanose, setCharset, setFamily, setIndex, setPanose, setPitch`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Field Detail

    - #### fullname

          protected java.lang.String fullname

    - #### style

          protected java.lang.String style

    - #### script

          protected java.lang.String script

    - #### details

          protected HemfFont.LogFontDetails details

  - ### Constructor Detail

    - #### HemfFont

          public HemfFont()

  - ### Method Detail

    - #### init

          public int init(LittleEndianInputStream leis,
                          long recordSize)
                   throws java.io.IOException

      Overrides:
        `init` in class `HwmfFont`
      Throws:
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `HwmfFont`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`
      Overrides:
        `getGenericProperties` in class `HwmfFont`

    - #### setHeight

          public void setHeight(double height)

    - #### setWeight

          public void setWeight(int weight)

    - #### setItalic

          public void setItalic(boolean italic)

    - #### setUnderline

          public void setUnderline(boolean underline)

    - #### setStrikeOut

          public void setStrikeOut(boolean strikeOut)

    - #### setTypeface

          public void setTypeface(java.lang.String typeface)

      Description copied from interface: `FontInfo`
      Sets the font name
      Parameters:
        `typeface` - the full name of the font, when `null` removes the font definition - removal is implementation specific

    - #### readString

          protected int readString(LittleEndianInputStream leis,
                                   java.lang.StringBuilder sb,
                                   int limit)
                            throws java.io.IOException

      Overrides:
        `readString` in class `HwmfFont`
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.